﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierAward";
                    gridLookup.Width = 150;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(320);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridAward" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtItemNoAward";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Year";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            <input id="txtYearAward" type="text" style="width: 200px; border: 1px solid #6a8ccb; padding: 3px"
                   maxlength="4" onkeydown="NonDecimalKey(event)" value="" />
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Grantor";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtGranator";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 100;

                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
         
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Title Award";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtTitleAward";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 255;

                }
            ).GetHtml()
        </td>
         <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Remark";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtRemarkAward";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 255;

                }
            ).GetHtml()
        </td>
        
    </tr>
    <tr>
        <td colspan="3"></td>
        <td style="float:right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveAward";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewAward";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewAward";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewAward";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
